> ## Documentation Index
> Fetch the complete documentation index at: https://docs.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich People

> Get comprehensive profile information from a LinkedIn profile URL.

<Info>
  This operation costs **1 credit**. Using `full_enrich` set to `true` costs **2 credits**.
</Info>

**Full enrichment (2 credits) adds:**

* Detailed experiences, skills, education, languages
* Work history, volunteer experiences, connections count
* Past companies, job time periods, open to work status

With `full_enrich` set to `true`, the response includes **at most** the **5 most recent** experience entries, **2 most recent** skills, and **2 most recent** education entries.

<Warning>
  LinkedIn URLs must be valid profile URLs. Use [Find People](/v1/api/people/find) to get valid LinkedIn URLs from names.
</Warning>


## OpenAPI

````yaml /v1/api/openapi.json get /people/enrich
openapi: 3.1.0
info:
  title: CD Automation External API
  description: This is the External API documentation for CD Automation
  version: dev
servers:
  - url: https://api.captaindata.com/v1
security:
  - XApiKeyAuth: []
paths:
  /people/enrich:
    get:
      tags:
        - public / live
      summary: Get data from captaindata people enrich
      operationId: getCaptaindataPeopleEnrich
      parameters:
        - name: li_profile_url
          in: query
          required: true
          schema:
            pattern: >-
              /^https:\/\/(?:(www|[a-z]{2})\.)?linkedin\.com\/(?:in|pub|sales\/people|sales\/lead)\/[^\s/]+/
            type: string
            format: uri
            description: >-
              A LinkedIn Profile URL should start with
              'https://www.linkedin.com/sales/people/',
              'https://www.linkedin.com/sales/lead/',
              'https://www.linkedin.com/pub/' or 'https://www.linkedin.com/in/'
            x-primary: true
            x-placeholder: LinkedIn People Profile URL
            x-help: >-
              A LinkedIn Profile URL should start with
              'https://www.linkedin.com/sales/people/',
              'https://www.linkedin.com/sales/lead/',
              'https://www.linkedin.com/pub/' or 'https://www.linkedin.com/in/'
            in: query
          description: >-
            A LinkedIn Profile URL should start with
            'https://www.linkedin.com/sales/people/',
            'https://www.linkedin.com/sales/lead/',
            'https://www.linkedin.com/pub/' or 'https://www.linkedin.com/in/'
        - name: full_enrich
          in: query
          required: false
          schema:
            type: boolean
            title: Full Profile
            default: false
            description: Extract experiences, skills and highlights.
            x-display-widget: checkbox
            in: query
          description: Full Profile
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaptaindataPeopleEnrichOutput'
          headers: {}
        '400':
          $ref: '#/components/responses/BadRequest'
        '424':
          $ref: '#/components/responses/FailedDependency'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CaptaindataPeopleEnrichOutput:
      type: object
      properties:
        uid:
          type: string
        li_profile_handle:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        full_name:
          type: string
        birth_date:
          type: string
        headline:
          type: string
        summary:
          type: string
        languages:
          type: array
          items:
            type: string
        skills:
          type: array
          items:
            additionalProperties: false
            type: object
            properties:
              name:
                type: string
        li_profile_id:
          type: integer
        li_profile_url:
          type: string
          format: uri
        li_profile_country:
          type: string
        li_profile_language:
          type: string
        location:
          type: string
        li_profile_image_url:
          type: string
          format: uri
        job_title:
          type: string
        education:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              school_uid:
                type: string
              school_name:
                type: string
              li_school_url:
                type: string
              date:
                type: string
              li_school_id:
                type: integer
              degree_name:
                type: string
        school_name:
          type: string
        li_school_url:
          type: string
          format: uri
        volunteer_experiences:
          type: array
          items:
            type: object
            additionalProperties: true
        li_number_connections:
          type: number
        experiences:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              title:
                type: string
              company_uid:
                type: string
              company_name:
                type: string
              company_description:
                type: string
              li_company_url:
                type: string
                format: uri
              location:
                type: string
              li_company_id:
                type: integer
              date:
                type: string
              job_time_period:
                type: string
              company_logo_url:
                type: string
        company_uid:
          type: string
        company_name:
          type: string
        li_company_url:
          type: string
          format: uri
        li_company_id:
          type: string
        li_number_followers:
          type: number
        li_people_post_search_url:
          type: string
          format: uri
        open_to_work:
          type: boolean
        past_company_uid:
          type: string
        past_company_name:
          type: string
        past_job_title:
          type: string
        past_li_company_id:
          type: string
        past_li_company_url:
          type: string
          format: uri
    BadRequest:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    FailedDependency:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    InternalServerError:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequest'
    FailedDependency:
      description: Failed Dependency
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailedDependency'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````